## PhoshAppTracker

PhoshAppTracker — Application state tracker

## Functions

PhoshAppTracker * | phosh_app_tracker_new ()
void | phosh_app_tracker_launch_app_info ()

## Signals

void | app-activated | Run Last
void | app-failed | Run Last
void | app-launch-started | Has Details
void | app-launched | Has Details
void | app-ready | Run Last

## Types and Values

#define | PHOSH_TYPE_APP_TRACKER
| PhoshAppTracker

## Object Hierarchy

        GObject
        ╰── PhoshAppTracker

## Description

Tracks the startup state of applications

## Functions

### phosh_app_tracker_new ()

    PhoshAppTracker *
    phosh_app_tracker_new (void);

### phosh_app_tracker_launch_app_info ()

    void
    phosh_app_tracker_launch_app_info (PhoshAppTracker *self,
                                       GAppInfo *info);

## Types and Values

### PHOSH_TYPE_APP_TRACKER

    #define PHOSH_TYPE_APP_TRACKER (phosh_app_tracker_get_type ())

### PhoshAppTracker

    typedef struct _PhoshAppTracker PhoshAppTracker;

## Signal Details

### The `“app-activated”` signal

    void
    user_function (PhoshAppTracker *phoshapptracker,
                   GAppInfo        *arg1,
                   gpointer         user_data)

Flags: Run Last

### The `“app-failed”` signal

    void
    user_function (PhoshAppTracker *phoshapptracker,
                   GAppInfo        *arg1,
                   char            *arg2,
                   gpointer         user_data)

Flags: Run Last

### The `“app-launch-started”` signal

    void
    user_function (PhoshAppTracker *phoshapptracker,
                   GAppInfo        *arg1,
                   char            *arg2,
                   gpointer         user_data)

Flags: Has Details

### The `“app-launched”` signal

    void
    user_function (PhoshAppTracker *phoshapptracker,
                   GAppInfo        *arg1,
                   char            *arg2,
                   gpointer         user_data)

Flags: Has Details

### The `“app-ready”` signal

    void
    user_function (PhoshAppTracker *phoshapptracker,
                   GAppInfo        *arg1,
                   char            *arg2,
                   gpointer         user_data)

Flags: Run Last